<?php
if ( is_array ( $this -> _pages ) ) foreach ( $this -> _pages as $page )
{
  if ( $this -> _this_id !== $page['id'] )
  {
    ?>
    <option value='<?=$page['id'];?>' <? if ( $this -> _parent_id == $page['id'] ) echo "selected='selected'"; ?>>
      <? for ( $i = 0; $i < 3 * $this -> _step; $i++ ) echo '&nbsp;'; echo $page['title'];?>
    </option>
    <?
  }
  if ( is_array( $page['subpages'] ) )
    echo \admin\view\Pages::drawSubpagesEdit( $page['subpages'], $this -> _parent_id, $this -> _step + 1, $this -> _this_id );
}
?>
